# Method: projects.locations.azureClients.create

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/create#body.aspect_1)

> [!WARNING]
> GKE-on-Azure is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/azure/deprecations/deprecation-announcement> for more details.

Creates a new `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` resource on a given Google Cloud project and region.

`AzureClient` resources hold client authentication information needed by the Anthos Multicloud API to manage Azure resources on your Azure subscription on your behalf.

If successful, the response contains a newly created `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation` resource that can be described to track the status of the operation.

### HTTP request

`POST https://{endpoint}/v1/{parent=projects/*/locations/*}/azureClients`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent location where this `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` resource will be created. Location names are formatted as `projects/<project-id>/locations/<region>`. See [Resource Names](https://cloud.google.com/apis/design/resource_names) for more details on Google Cloud resource names. |

### Query parameters

| Parameters ||
|---|---|
| `azureClientId` | `string` Required. A client provided ID the resource. Must be unique within the parent resource. The provided ID will be part of the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` resource name formatted as `projects/<project-id>/locations/<region>/azureClients/<client-id>`. Valid characters are `/[a-z][0-9]-/`. Cannot be longer than 63 characters. |
| `validateOnly` | `boolean` If set, only validate the request, but do not actually create the client. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `gkemulticloud.azureClients.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).